Class
Matrix
A simple n-dimensional matrix type.
Matrix<TValue, unsigned DIMENSION = 0>
Include Headers
seqan/align.h
Parameters

TValue | Type of matrix entries.
unsigned DIMENSION | The specializing type (0: NDimensional matrix; 2: two dimensional matrix).

Remarks
The following operators and functions are supported: A*B, A*a, A+B,A-B,<<, transpose
Functions

allPairsShortestPath | Finds shortest paths between all pairs of vertices in a graph.
allPairsShortestPath | Finds shortest paths between all pairs of vertices in a graph.
floydWarshallAlgorithm | Finds shortest paths between all pairs of vertices in a graph.
floydWarshallAlgorithm | Finds shortest paths between all pairs of vertices in a graph.
getAdjacencyMatrix | Returns an adjacency matrix representation of the graph.
transitiveClosure | Determines whether there is a path between any two given vertices or not.
transpose | Transposes a graph, either in-place or from source to dest.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45